﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'NUMB')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'DRLDET' AND CONSTRAINT_NAME = 'FK_DRLDET_DRLSUM')
BEGIN 
PRINT 'Creating foreign key FK_DRLDET_DRLSUM on table DRLDET'
ALTER TABLE [dbo].[DRLDET]  WITH NOCHECK ADD  CONSTRAINT [FK_DRLDET_DRLSUM] FOREIGN KEY([NUMB])
REFERENCES [DRLSUM] ([NUMB])
ON DELETE CASCADE
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DRLDET]') AND name = N'key3')
BEGIN 
PRINT 'Creating index key3 on table DRLDET'
CREATE UNIQUE NONCLUSTERED INDEX [key3] ON [dbo].[DRLDET] 
(
	[RTI] ASC,
	[NUMB] ASC,
	[SEQN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DRLDET]') AND name = N'XDRLDET1')
BEGIN 
PRINT 'Creating index XDRLDET1 on table DRLDET'
CREATE UNIQUE NONCLUSTERED INDEX [XDRLDET1] ON [dbo].[DRLDET] 
(
	[SKUN] ASC,
	[NUMB] ASC,
	[SEQN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DRLDET]') AND name = N'XDRLDET2')
BEGIN 
PRINT 'Creating index XDRLDET2 on table DRLDET'
CREATE UNIQUE NONCLUSTERED INDEX [XDRLDET2] ON [dbo].[DRLDET] 
(
	[NUMB] ASC,
	[SKUN] ASC,
	[SEQN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'ORDQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_ORDQ')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_ORDQ on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_ORDQ] DEFAULT ((0)) FOR [ORDQ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'RECQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_RECQ')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_RECQ on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_RECQ] DEFAULT ((0)) FOR [RECQ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'ORDP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_ORDP')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_ORDP on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_ORDP] DEFAULT ((0)) FOR [ORDP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'PRIC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_PRIC')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_PRIC on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_PRIC] DEFAULT ((0)) FOR [PRIC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'IBTQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_IBTQ')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_IBTQ on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_IBTQ] DEFAULT ((0)) FOR [IBTQ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'RETQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_RETQ')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_RETQ on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_RETQ] DEFAULT ((0)) FOR [RETQ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLDET' AND COLUMN_NAME = 'FOLQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLDET_FOLQ')
BEGIN 
    PRINT 'Creating default constraint DF_DRLDET_FOLQ on table DRLDET' 
    ALTER TABLE [dbo].[DRLDET]
    ADD CONSTRAINT [DF_DRLDET_FOLQ] DEFAULT ((0)) FOR [FOLQ]
END 
GO

